Invite sub user
curl --request POST \
--url https://api.sandbox.finsei.com/v2/member \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data email=test@test.com \
--data 'phone=+33300000' \
--data 'name=John Smith' \
--data walletAccess=e8262379-b2ba-4865-b487-6967a671346b \
--data role=fullAccess \
--data expiredAt=1798761600 \
--data signToken=import requests
url = "https://api.sandbox.finsei.com/v2/member"
payload = {
"email": "test@test.com",
"phone": "+33300000",
"name": "John Smith",
"walletAccess": "e8262379-b2ba-4865-b487-6967a671346b",
"role": "fullAccess",
"expiredAt": "1798761600",
"signToken": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
email: 'test@test.com',
phone: '+33300000',
name: 'John Smith',
walletAccess: 'e8262379-b2ba-4865-b487-6967a671346b',
role: 'fullAccess',
expiredAt: '1798761600',
signToken: ''
})
};
fetch('https://api.sandbox.finsei.com/v2/member', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v2/member",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "email=test%40test.com&phone=%2B33300000&name=John%20Smith&walletAccess=e8262379-b2ba-4865-b487-6967a671346b&role=fullAccess&expiredAt=1798761600&signToken=",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v2/member"
payload := strings.NewReader("email=test%40test.com&phone=%2B33300000&name=John%20Smith&walletAccess=e8262379-b2ba-4865-b487-6967a671346b&role=fullAccess&expiredAt=1798761600&signToken=")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.finsei.com/v2/member")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("email=test%40test.com&phone=%2B33300000&name=John%20Smith&walletAccess=e8262379-b2ba-4865-b487-6967a671346b&role=fullAccess&expiredAt=1798761600&signToken=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v2/member")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "email=test%40test.com&phone=%2B33300000&name=John%20Smith&walletAccess=e8262379-b2ba-4865-b487-6967a671346b&role=fullAccess&expiredAt=1798761600&signToken="
response = http.request(request)
puts response.read_body{
"status": "SUCCESS",
"message": "<string>",
"data": {}
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}Endpoints
POST /v2/member
POST
/
v2
/
member
Invite sub user
curl --request POST \
--url https://api.sandbox.finsei.com/v2/member \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data email=test@test.com \
--data 'phone=+33300000' \
--data 'name=John Smith' \
--data walletAccess=e8262379-b2ba-4865-b487-6967a671346b \
--data role=fullAccess \
--data expiredAt=1798761600 \
--data signToken=import requests
url = "https://api.sandbox.finsei.com/v2/member"
payload = {
"email": "test@test.com",
"phone": "+33300000",
"name": "John Smith",
"walletAccess": "e8262379-b2ba-4865-b487-6967a671346b",
"role": "fullAccess",
"expiredAt": "1798761600",
"signToken": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
email: 'test@test.com',
phone: '+33300000',
name: 'John Smith',
walletAccess: 'e8262379-b2ba-4865-b487-6967a671346b',
role: 'fullAccess',
expiredAt: '1798761600',
signToken: ''
})
};
fetch('https://api.sandbox.finsei.com/v2/member', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v2/member",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "email=test%40test.com&phone=%2B33300000&name=John%20Smith&walletAccess=e8262379-b2ba-4865-b487-6967a671346b&role=fullAccess&expiredAt=1798761600&signToken=",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v2/member"
payload := strings.NewReader("email=test%40test.com&phone=%2B33300000&name=John%20Smith&walletAccess=e8262379-b2ba-4865-b487-6967a671346b&role=fullAccess&expiredAt=1798761600&signToken=")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.finsei.com/v2/member")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("email=test%40test.com&phone=%2B33300000&name=John%20Smith&walletAccess=e8262379-b2ba-4865-b487-6967a671346b&role=fullAccess&expiredAt=1798761600&signToken=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v2/member")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "email=test%40test.com&phone=%2B33300000&name=John%20Smith&walletAccess=e8262379-b2ba-4865-b487-6967a671346b&role=fullAccess&expiredAt=1798761600&signToken="
response = http.request(request)
puts response.read_body{
"status": "SUCCESS",
"message": "<string>",
"data": {}
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
0, 1 Body
application/x-www-form-urlencodedapplication/json
Member email
Example:
"test@test.com"
Member phone number
Example:
"+33300000"
Member name
Example:
"John Smith"
UUIDs of wallets available to the member
Example:
["e8262379-b2ba-4865-b487-6967a671346b"]
Member role
Available options:
fullAccess, partialAccess, viewOnly, fullAccessBeta Example:
"fullAccess"
Member expiration time in Unix timestamp format. Null means no expiration.
Required range:
x >= 0Example:
1798761600
MFA sign token
Example:
""